MakeBlock Drive Updated Updated library for MakeBlock Ranger

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MeLimitSwitch Class Reference

Driver for Me_LimitSwitch module. More...

`#include <src/MeLimitSwitch.h>`

Inheritance diagram for MeLimitSwitch:
[legend]
Collaboration diagram for MeLimitSwitch:
[legend]

## Public Member Functions
| MeLimitSwitch (void)
| MeLimitSwitch (uint8_t port)
| MeLimitSwitch (uint8_t port, uint8_t slot)
void | setpin (uint8_t switchPin)
bool | touched (void)
Public Member Functions inherited from MePort
| MePort (void)
| MePort (uint8_t port)
| MePort (uint8_t port, uint8_t slot)
uint8_t | getPort (void)
uint8_t | getSlot (void)
bool | dRead1 (uint8_t mode=INPUT)
bool | dRead2 (uint8_t mode=INPUT)
bool | dpRead1 (void)
bool | dpRead2 (void)
void | dWrite1 (bool value)
void | dWrite2 (bool value)
int16_t | aRead1 (void)
int16_t | aRead2 (void)
void | aWrite1 (int16_t value)
void | aWrite2 (int16_t value)
void | reset (uint8_t port)
void | reset (uint8_t port, uint8_t slot)
uint8_t | pin1 (void)
uint8_t | pin2 (void)
uint8_t | pin (void)
uint8_t | pin (uint8_t port, uint8_t slot)

## Additional Inherited Members
Protected Attributes inherited from MePort
uint8_t | s1
uint8_t | s2
uint8_t | _port
uint8_t | _slot

## Detailed Description

Driver for Me_LimitSwitch module.

Class: MeLimitSwitch

Description
  Declaration of Class MeLimitSwitch.

Copyright (C), 2012-2016, MakeBlock

## Constructor & Destructor Documentation

## ◆ MeLimitSwitch() [1/3]

MeLimitSwitch::MeLimitSwitch | ( | void |  | ) |

Alternate Constructor which can call your own function to map the limit switch to arduino port, no pins are used or initialized here.

Parameters

  [in] | None |

## ◆ MeLimitSwitch() [2/3]

MeLimitSwitch::MeLimitSwitch | ( | uint8_t | port | ) |

Alternate Constructor which can call your own function to map the limit switch to arduino port, the slot2 will be used here.

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2

## ◆ MeLimitSwitch() [3/3]

MeLimitSwitch::MeLimitSwitch | ( | uint8_t | port,
|  | uint8_t | slot
| ) |  |

Alternate Constructor which can call your own function to map the limit switch to arduino port, you can set any slot for the limit switch device.

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2
  [in] | slot | - SLOT1 or SLOT2

## Member Function Documentation

## ◆ setpin()

void MeLimitSwitch::setpin | ( | uint8_t | switchPin | ) |

Function
  setpin

Description
  Reset the limit switch available PIN by its arduino port.

Parameters

  [in] | switchPin | - arduino port for switch detect pin.

Output
  None

Return
  None

Others
  None

## ◆ touched()

bool MeLimitSwitch::touched | ( | void |  | ) |

Function
  touched

Description
  Get switch value from selected _slot defined by MePort.

Parameters

  [in] | None |

Output
  None \Return True if module is touched.

Others
  None

The documentation for this class was generated from the following files:

- src/MeLimitSwitch.h
- src/MeLimitSwitch.cpp